Pular para o conteúdo principal
GET
List products

Autorizações

Authorization
string
header
obrigatório

Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>

Parâmetros de caminho

workspaceId
string
obrigatório

The workspace ID

Pattern: ^ws_[a-z0-9]+$

Parâmetros de consulta

catalog_id
string<uuid>

Filter by catalog ID

brand_id
string<uuid>

Filter by brand ID (brand scoping, ADR 028)

Case-insensitive substring match on title, brand, sku or merchant_item_id

limit
integer
padrão:50

Page size (paged mode only)

Intervalo obrigatório: 1 <= x <= 200
offset
integer
padrão:0

Page offset (paged mode only)

Intervalo obrigatório: x >= 0

Resposta

Products retrieved successfully

products
object[]
obrigatório
total
integer

Total rows matching the filters (paged mode only)

limit
integer

Effective page size (paged mode only)

offset
integer

Effective page offset (paged mode only)

Última modificação em 16 de fevereiro de 2026